<div class="row">
  <div class="col-lg-8 col-md-8">
    <ol class="breadcrumb">
      <li>
        <a ui-sref="nav.projects">Dashboard</a>
      </li>
      <li>
        <a ui-sref="nav.project.sprints({project_id: project.id})">Project's View - Sprints</a>
      </li>
      <li>
        <a ui-sref="nav.wrorkingtasks({project_id:project.id, sprint_id: task.sprint_id})">Working with tasks</a>
      </li>
      <li class="active">
        <a ui-sref="nav.task({project_id:project.id, task_id: task.id})">Edit Task</a>
      </li>
    </ol>
  </div>
</div>
<span ng-if="loading == true">
  <center style="margin-top: 100px;">
    <%= image_tag "spiner.gif" %>
  </center>
</span>
<span ng-if="loading == false">
  <div class="row">
    <div class="col-md-8 col-lg-8">
      <div class="panel-body">
        <dl>
          <dt>{{ task.name }}</dt>
          <dd>{{ task.description }}</dd>
        </dl>

        <div class="row" style="padding-bottom: 20px;">
          <dl class="dl-horizontal">
            <dt>Assigned</dt>
            <dd>
              <div class="row">
                <div class="col-md-3">
                  <img ng-src="{{ task.user.avatar }}" class="img-circle" />
                </div>
                <div class="col-md-9">
                  {{task.user.name}}<br/>
                  <a href>{{task.user.email}}</a>
                </div>
              </div>
            </dd>
          </dl>

          <dl class="dl-horizontal">
            <dt>Created:</dt>
            <dd>
              {{task.created_at | date: 'medium'}}
            </dd>
          </dl>

          <dl class="dl-horizontal">
            <dt>Last update:</dt>
            <dd>
              {{task.updated_at | date: 'medium'}}
            </dd>
          </dl>

          <dl class="dl-horizontal">
            <dt>Eastimated time:
            </dt>
            <dd>
              {{task.estimation}}
              <span class="pull-right">
                <button class="btn btn-info btn-xs" data-toggle="modal" data-target="#myModal1">
                  Estimate
                </button>
              </span>
            </dd>

          </dl>

          <dl class="dl-horizontal">
            <dt>Remaining time:</dt>
            <dd>
              {{task.remaining}}
            </dd>
          </dl>

          <dl class="dl-horizontal">
            <dt>Worked time:</dt>
            <dd>
              {{task.worked}}
              <span class="pull-right">
                <button class="btn btn-info btn-xs" data-toggle="modal" data-target="#myModal2">
                  Log Work
                </button>
              </span>
            </dd>

          </dl>

          <dl class="dl-horizontal">
            <dt>Status:</dt>
            <dd>
              {{task.status}}
              <span class="pull-right">
                <button class="btn btn-info btn-xs" data-toggle="modal" data-target="#myModal3">
                  Set Status
                </button>
              </span>
            </dd>

          </dl>
        </div>
      </div>
    </div>
    <div class="col-lg-4 col-md-4">
      <div class="panel panel-default">
        <div class="panel-heading">
          <i class="fa fa-bell fa-fw"></i>
          Notifications Panel
        </div>
        <div class="panel-body" style="height: 700px; overflow: scroll;">
          <div class="activity-feed">
            <div class="feed-item" ng-if="notifications.length == 0">
              <div class="text">There is any notifications</div>
            </div>
            <div class="feed-item" ng-repeat="item in notifications | orderBy:-created_at">
              <div class="date">{{item.created_at | date: 'medium'}}</div>
              <div class="text">
                <a>{{item.user.email}}</a>
                {{item.key}}
                <a ui-sref="nav.task({project_id: item.trackable_id})">{{item.trackable.name}}</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</span>
<!-- estimate -->
<div class="modal fade" id="myModal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h4 class="modal-title" id="myModalLabel">Estimate task</h4>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <label>Estimate</label>
            <input type="text" ng-model="updateTask.estimation" class="form-control" name="Estimate" placeholder="Estimate"/>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-success" data-dismiss="modal" ng-click="estimate()">Estimate</button>
      </div>
    </div>
  </div>
  <!-- /.modal-dialog -->
</div>

<!-- work -->
<div class="modal fade" id="myModal2" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h4 class="modal-title" id="myModalLabel">Log work</h4>
      </div>
      <div class="modal-body">
        <form >
          <div class="form-group">
            <label>Log work</label>
            <input type="text"  name="Logwork"  ng-model="workedTime" class="form-control" placeholder="Log work"/>
          </div>

        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-success" data-dismiss="modal" ng-click="log()">Log work</button>
      </div>
    </div>
  </div>
  <!-- /.modal-dialog -->
</div>

<!-- status -->
<div class="modal fade" id="myModal3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h4 class="modal-title" id="myModalLabel">Task update status
          {{newTask.name}}</h4>
      </div>
      <div class="modal-body">
        <label>Task Priority</label>
        <div class="dropdown">
          <button class="btn btn-default btn-block dropdown-toggle" type="button" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
            <span ng-if="updateTask.status != null">{{updateTask.status}}</span>
            <span class="caret"></span>
          </button>
          <ul class="dropdown-menu" aria-labelledby="dropdownMenu2" id = "status">
            <li>
              <a ng-click="setStatus('Created')">Created</a>
            </li>
            <li>
              <a ng-click="setStatus('InProgres')">InProgres</a>
            </li>
            <li>
              <a ng-click="setStatus('Closed')">Closed</a>
            </li>
          </ul>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-success" data-dismiss="modal" ng-click="statusUpadte()">Set Status</button>
      </div>
    </div>
  </div>
  <!-- /.modal-dialog -->
</div>
